@charset "UTF-8";
/* CSS do Carrossel */

/* Área fixa do carrossel (container) */
#carousel {
  position: relative;
  margin: 1rem auto;
  display: flex;
  align-items: center;
  background-color: rgba(227,210,180,1.00);
  overflow-x: hidden;
}

/* Área móvel do carrossel, sem os botões */
#carouselSlider {
  display: flex;
  width: 100%;
  padding: 0 1rem;
/* Habilitar o comando seguinte se houver botões
  overflow-x: hidden; */
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
/* Comandos de animação; desabilitar se houver botões */
  animation-name: mymove;
  animation-duration: 25s;
  animation-timing-function: ease-in-out;
  animation-delay: 2s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}
/* pausar a animação quando mouse over */
#carouselSlider:hover {
  animation-play-state: paused;	
}
/* Animação de #carouselSlider. Desabilitar se houver botões */
@keyframes mymove {
  from { transform: translateX(0); }
  to   { transform: translateX(calc(-180px * 13.2)); }
}

/* Links (já estilizado em NewSiteStyle.css) */
/*#carouselSlider a:link, a:visited {
	color: rgba(179,18,24,1.00);
	text-decoration: none;
}
#carouselSlider a:hover, a:active, a:focus {
	color: rgba(255,153,0,1.00);
	text-decoration: underline 2px;
}
*/
/* Cada livro do carrossel */
.slide {
  flex: 1 0 160px;
  width: 160px;
  padding: 10px;
  scroll-snap-align: center;
  overflow: hidden;
  text-align: center;
  font-family: montserrat, sans-serif;
  font-style: normal;
}

/* Tamanho e recorte das capas */
.slide img {
  width: 160px;
  height: 160px;
  object-fit: cover;
  float: none;
  overflow: hidden;
  border-radius: 50%;
}

/* Botões (setas) */
/*button {
  position: absolute;
  z-index: 3;
  top: 50%;
  transform: translateY(-50%);
  border: none;
  padding: 0;
  justify-content: center;
  font-size: 2rem;
  height: 3rem;
  width: 3rem;
  border-radius: 50%;
  background-color: white;
  cursor: pointer;
  opacity: 0.5;
  transition: opacity 100ms;
}

/* Mouse sobre o botão */
/*button:hover {
  opacity: 1;
}
*/
/* Botão anterior < */
/*#prevBut {
  left: 0px;
}
*/
/* Botão próximo > */
/*#nextBut {
  right: 0px;
}
*/
@media (max-width: 600px) {
  .carousel-slide {
    flex: 1 0 90%;
  }
}